Show / Hide Table of Contents

# Class InitializeResult

##### Inheritance

System.Object
InitializeResult

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class InitializeResult

### Properties

| Improve this Doc View Source

#### Capabilities

Gets or sets the capabilities provided by the language server.

##### Declaration

    public ServerCapabilities Capabilities { get; set; }

##### Property Value

Type | Description
--- | ---
ServerCapabilities |